## horizon 18.2.1~git2020041013.754804667

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD
doc8>=0.6.0 # Apache-2.0

# The below is rewquired to build testing module reference
mock>=2.0.0 # BSD

=== debian/changelog ===
horizon (3:18.2.1~git2020041013.754804667-0ubuntu3) focal; urgency=medium

  * d/openstack-dashboard.postinst: Ensure static assets can be read by
    the apache user including the full path to the static directory. This
    changes the mode bits of /var/lib/openstack-dashboard to 755.
    (LP: #1871640).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 20 Apr 2020 13:47:07 -0400

horizon (3:18.2.1~git2020041013.754804667-0ubuntu2) focal; urgency=medium

  * d/openstack-dashboard.postinst: Ensure static assets can be read by
    the apache user including the full path to the static directory
    (LP: #1871640).

 -- James Page <james.page@ubuntu.com>  Fri, 17 Apr 2020 12:14:33 +0100

horizon (3:18.2.1~git2020041013.754804667-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/openstack-dashboard.postinst: Set ownership and permissions for all
    /var/lib files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:06:10 -0400

horizon (3:18.2.1~git2020032709.2c4470272-0ubuntu1) focal; urgency=medium

  * d/watch: Adjust to new tarball URL.
  * d/openstack-dashboard.postinst: Set default ownership and permissions
    for /etc/<pkg> and /var/lib/<pkg> (LP: #1859422).
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Mar 2020 09:29:31 -0400

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.4.0),
 python3-cinderclient (>= 1:5.0.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-debreach (>= 1.4.2),
 python3-django-pyscss (>= 2.0.2),
 python3-doc8 (>= 0.6.0),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-memcache (>= 1.59),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 2.3.0),
 python3-pint (>= 0.5),
 python3-pymongo (>= 3.0.2),
 python3-pyscss (>= 1.3.4),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-xvfbwrapper (>= 0.1.3),
 python3-yaml (>= 3.12),
Standards-Version: 4.1.4
Homepage: https://launchpad.net/horizon
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon

Package: openstack-dashboard
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3 (>= 2.3),
 python3-django-horizon (= ${source:Version}),
 ${misc:Depends},
Breaks:
 openstack-dashboard-ubuntu-theme (<< 2:10.0.0~b1-0ubuntu2~),
Replaces:
 openstack-dashboard-ubuntu-theme (<< 2:10.0.0~b1-0ubuntu2~),
Description: Django web interface for OpenStack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends:
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
Description: Transitional dummy package for Ubuntu theme for Horizon
 This transitional package is safe to remove and use openstack-dashboard
 instead, which now contains the Ubuntu theme.

Package: python3-django-horizon
Section: python
Architecture: all
Depends:
 openstack-dashboard-common (= ${binary:Version}),
 python3-django-openstack-auth (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 memcached,
Description: Django module providing web based interaction with OpenStack (Python 3)
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.
 .
 This package provides the Python 3 module.

Package: python3-django-openstack-auth
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:5.0.0),
 python3-debtcollector (>= 1.2.0),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-debreach (>= 1.4.2),
 python3-django-pyscss (>= 2.0.2),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-memcache,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 2.3.0),
 python3-pbr (>= 2.0.0),
 python3-pint (>= 0.5),
 python3-pymongo (>= 3.0.2),
 python3-pyscss (>= 1.3.4),
 python3-requests (>= 2.14.2),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-openstack-auth (<< 3:13.0.0~b2-0ubuntu2~),
Replaces:
 python3-openstack-auth (<< 3:13.0.0~b2-0ubuntu2~),
Provides:
 python3-openstack-auth,
 ${python3:Provides},
Description: Django authentication backend for Openstack - Python 3
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 3 module.

Package: openstack-dashboard-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 openstack-dashboard (<< 3:14.0.0~b2-0ubuntu3~),
Replaces:
 openstack-dashboard (<< 3:14.0.0~b2-0ubuntu3~),
Description: Django web interface for OpenStack - common files
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.
 .
 This package provides common files.

## horizon 18.3.2

=== debian/changelog ===
horizon (3:18.3.2-0ubuntu0.20.04.4) focal-security; urgency=medium

  * SECURITY UPDATE: ensure next parameter is validated to prevent malicious
    URL injection
    - d/p/CVE-2020-29565.patch: Make sure the next URL is in the same origin
      as Horizon before redirecting to it.
    - CVE-2020-29565

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Dec 2020 15:29:47 -0500

horizon (3:18.3.2-0ubuntu0.20.04.3) focal; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * d/control: Ensure min version of python3-swiftclient can get
    capabilities when using ceph radosgw swift API (LP: #1902944).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Nov 2020 15:40:32 -0500

horizon (3:18.3.2-0ubuntu0.20.04.2) focal; urgency=medium

  * d/p/fix-skipped-config-files.patch: Ensure that policy files are
    included in the package (LP: #1872671).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 01 Jul 2020 14:54:51 +0000

horizon (3:18.3.2-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 May 2020 16:15:28 -0400

=== debian/tests/control ===
Tests: install
Depends: @
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/horizon horizon-(18\.\d.*)\.tar\.gz

## horizon 18.3.5

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# PBR should always appear first
pbr!=2.1.0,>=2.0.0 # Apache-2.0

# Horizon Core Requirements
Babel!=2.4.0,>=2.3.4 # BSD
debtcollector>=1.2.0 # Apache-2.0
Django>=2.2,<3.0 # BSD
django-compressor>=2.0 # MIT
django-debreach>=1.4.2 # BSD License (2 clause)
django-pyscss>=2.0.2 # BSD License (2 clause)
futurist>=1.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
osprofiler>=2.3.0 # Apache-2.0
pymongo!=3.1,>=3.0.2 # Apache-2.0
pyScss>=1.3.7 # MIT License
python-cinderclient>=5.0.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.22.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.12 # MIT
requests>=2.14.2 # Apache-2.0
semantic-version>=2.3.1 # BSD
XStatic>=1.0.0 # MIT License
XStatic-Angular>=1.5.8.0 # MIT License
XStatic-Angular-Bootstrap>=2.2.0.0 # MIT License
XStatic-Angular-FileUpload>=12.0.4.0 # MIT License
XStatic-Angular-Gettext>=2.3.8.0 # MIT License
XStatic-Angular-lrdragndrop>=1.0.2.2 # MIT License
XStatic-Angular-Schema-Form>=0.8.13.0 # MIT
XStatic-Bootstrap-Datepicker>=1.3.1.0 # Apache 2.0 License
XStatic-Bootstrap-SCSS>=3.3.7.1 # Apache 2.0 License
XStatic-bootswatch>=3.3.7.0 # MIT License
XStatic-D3>=3.5.17.0 # BSD License (3 clause)
XStatic-Hogan>=2.0.0.2 # Apache 2.0 License
XStatic-Font-Awesome>=4.7.0.0 # SIL OFL 1.1 License, MIT License
XStatic-Jasmine>=2.4.1.1 # MIT License
XStatic-jQuery>=1.8.2.1,<2 # MIT License
XStatic-JQuery-Migrate>=1.2.1.1 # MIT License
XStatic-JQuery.quicksearch>=2.0.3.1 # MIT License
XStatic-JQuery.TableSorter>=2.14.5.1 # MIT License
XStatic-jquery-ui>=1.10.4.1 # MIT License
XStatic-JSEncrypt>=2.3.1.1 # MIT License
XStatic-mdi>=1.6.50.2 # SIL OPEN FONT LICENSE Version 1.1
XStatic-objectpath>=1.2.1.0 # MIT
XStatic-Rickshaw>=1.5.0.0 # BSD License (prior)
XStatic-roboto-fontface>=0.5.0.0 # Apache 2.0 License
XStatic-smart-table>=1.4.13.2 # MIT License
XStatic-Spin>=1.2.5.2 # MIT License
XStatic-term.js>=0.0.7.0 # MIT License
XStatic-tv4>=1.2.7.0 # MIT

# enmerkar is not a runtime requirement.
# It is only required when extracting translation strings.
# Most horizon plugins do not have enmerkar in their requirements.txt
# and they depends on horizon requirements, so we keep it here.
enmerkar>=0.7.1 # BSD

=== doc/requirements.txt ===
--- 
+++ 
@@ -12,3 +12,4 @@
 
 # The below is rewquired to build testing module reference
 mock>=2.0.0 # BSD
+pytest>=5.3.5 # MIT

=== debian/changelog ===
horizon (3:18.3.5-0ubuntu2.3) focal; urgency=medium

  [ Rodrigo Barbieri ]
  * d/p/lp2055409.patch: apply config OPENSTACK_INSTANCE_RETRIEVE_IP_ADDRESSES
    to the instance details page (LP: #2055409)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 06 Jun 2024 09:05:37 -0300

horizon (3:18.3.5-0ubuntu2.2) focal; urgency=medium

  * d/p/get-ports-directly.patch: Get ports directly instead of via
    loop (LP: #1943639).

 -- Nicolas Bock <nicolas.bock@canonical.com>  Tue, 22 Aug 2023 20:58:11 +0000

horizon (3:18.3.5-0ubuntu2.1) focal; urgency=medium

  * d/p/lp1827120.patch: Fix missing project_id in application credential
    create when user has both project+domain admin role (LP: #1827120).

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Mon, 05 Dec 2022 14:53:55 +0000

horizon (3:18.3.5-0ubuntu2) focal; urgency=medium

  * d/p/0001-Fix-for-Resize-instance-button.patch: Fixes resize instance
    widget (LP: #1940834).

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Thu, 24 Mar 2022 09:41:06 +0530

horizon (3:18.3.5-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1956994).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 08:06:38 -0500

horizon (3:18.3.4-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1941048).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 25 Aug 2021 12:03:50 +0000

horizon (3:18.3.3-0ubuntu1) focal; urgency=medium

  * d/watch: Add trailing slash to URL.
  * New stable point release for OpenStack Ussuri (LP: #1923036).
  * d/p/CVE-2020-29565.patch, fix-skipped-config-files.patch: Removed
    after change landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 12 Apr 2021 13:19:45 +0000

=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
  python3-requests (>= 2.14.2),
  python3-semantic-version (>= 2.3.1),
  python3-six (>= 1.10.0),
- python3-swiftclient (>= 1:3.2.0),
+ python3-swiftclient (>= 1:3.9.0-0ubuntu1.1~),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-tz (>= 2013.6),
@@ -58,8 +58,8 @@
  python3-yaml (>= 3.12),
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/horizon
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon
 
 Package: openstack-dashboard
 Architecture: all
@@ -138,7 +138,7 @@
  python3-requests (>= 2.14.2),
  python3-semantic-version (>= 2.3.1),
  python3-six (>= 1.10.0),
- python3-swiftclient (>= 1:3.2.0),
+ python3-swiftclient (>= 1:3.9.0-0ubuntu1.1~),
  python3-tz (>= 2013.6),
  python3-yaml (>= 3.12),
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python3 --buildsystem=pybuild

PY3VER=python3
PYTHON3S:=\$(shell py3versions -vr)

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

override_dh_auto_clean:
	find . -name "django*.mo" -delete || :
	rm -f horizon/xstatic
	dh_auto_clean
	rm -f horizon/openstack_dashboard/local/.secret_key_store

override_dh_auto_build:
	# NOTE(jamespage) this is a little horrible but works around
	# the switch to /var/lib/openstack once installed for lockfiles
	ln -sf ../xstatic horizon/xstatic
	patch -p1 -R <debian/patches/ubuntu_settings.patch
	python3 ./manage.py compilemessages
	patch -p1 <debian/patches/ubuntu_settings.patch
	dh_auto_build

override_dh_auto_install:
	# NOTE(jamespage):
	# This looks odd but it forces a re-generation of SOURCES.txt
	# to include the mo files generated during compilemessages
	# in override_dh_auto_build to ensure that they get installed
	# into binary packages.
	rm -f horizon.egg-info/SOURCES.txt
	# install horizon and dashboard
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --no-compile -O0 --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
	done
	# install vendorfied xstatic assets
	cp -r xstatic $(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/horizon
	cp -r debian/theme/ubuntu $(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/openstack_dashboard/themes
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apache2/conf-available

	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	cp -a $(CURDIR)/openstack_dashboard/settings.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	cp $(CURDIR)/manage.py \
		 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/manage.py

	# NOTE(jamespage): Link local_settings.py to both py version locations
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/lib/$(PY3VER)/dist-packages/openstack_dashboard/local/local_settings.py

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Skip tests
	:
endif

refresh-xstatic:
	bash debian/bundle-xstatic.sh $(DEB_UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/horizon/ horizon-(18\.\d.*)\.tar\.gz

## horizon 18.6.1

=== debian/changelog ===
horizon (3:18.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 16:36:46 +0200

horizon (3:18.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2020 14:48:43 +0200

horizon (3:18.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-astroid from build-depends.
  * Refresh fixed-horizon-MANIFEST.in.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Sep 2020 09:35:23 +0200

horizon (3:18.3.2-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Updated it.po debconf translation (Closes: #952798).

  [ Michal Arbet ]
  * Add openstack-dashboard.preinst to create config folders.

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 04 Jun 2020 13:10:53 +0200

horizon (3:18.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 13:35:43 +0200

horizon (3:18.3.1-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/compile-messages.
  * Now using pytest for testing.
  * Removed fix-py38-compatibility.patch applied upstream.

  [ Michal Arbet ]
  * d/rules: Set debug to false in local_settings.py
  * d/local_settings.d:
      - Set cache to local cache by default

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 21:01:57 +0200

horizon (3:16.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2020 13:50:50 +0100

horizon (3:16.0.0-4) unstable; urgency=medium

  * Fix postrm
    - openstack-dashboard-debian-settings.d is a directory,
      it has to be removed recursive
  * Rename trigger to be more specific

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 06 Dec 2019 20:07:17 +0100

horizon (3:16.0.0-3) unstable; urgency=medium

  * Do not install files in debian/local_settings.d/* as CONFFILE, as by
    definition, these files are to be modified by the Debian packaging. Also,
    do the copy only a single time for the life of the package (ie: until
    the package is purged) so that users can continue to tweak the way they
    want including removing files (Closes: #946238).

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Dec 2019 18:47:50 +0100

horizon (3:16.0.0-2) unstable; urgency=medium

  * Add fix-py38-compatibility.patch
  * Fix change od WEBROOT in horizon

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 26 Nov 2019 20:11:05 +0100

horizon (3:16.0.0-1) unstable; urgency=medium

  * Added da.po (Closes: #923132).
  * Updated ru.po (Closes: #920735).
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 20:52:49 +0200

horizon (3:16.0.0~rc2-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 15 Oct 2019 08:56:23 +0200

horizon (3:16.0.0~rc1-3) unstable; urgency=medium

  * Rebuilding source-only.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Oct 2019 00:03:49 +0200

horizon (3:16.0.0~rc1-2) unstable; urgency=medium

  * Add python3-redis to dependency as it is needed
    when osprofiler is used with redis backend.
    Redis backend is default in debian package.

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 27 Sep 2019 19:35:12 +0200

horizon (3:16.0.0~rc1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Michal Arbet ]
  * New upstream version
  * Remove not needed patches:
    - fix-broken-log.warning.patch
    - admin_info_check_required_service_for_network_tab.patch
    - Allow_to_start_UT_with_Django_2.1.patch
    - kill-test_url_for.patch
    - dj22*.patch
    - remove-pint-using-file.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 26 Sep 2019 17:19:31 +0200

horizon (3:15.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add fix-urls.py-for-django-2.2.patch.
  * Add fix-no-renderer.patch.
  * Add Fix_test_table_column_truncation.patch.
  * Add repair_test_startpanel_usage_correct.patch.
  * Add replaces-none-by-empty-string.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 20:18:54 +0200

horizon (3:15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 11:23:03 +0200

horizon (3:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Fixed (build-)depends for this release: added a few new packages.
  * Rebased kill-test_url_for.patch.
  * Refreshed patches:
    - Allow_to_start_UT_with_Django_2.1.patch.
    - admin_info_check_required_service_for_network_tab.patch
    - remove-pint-using-file.patch
  * Removed patches applied upstream:
    - fix-unhashable-key-warning.patch
    - fix-horizon-osprofiler-support.patch
    - fix-django-auth-middleware-monkey-patching.patch
    - fix-developer-panel.patch

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Mar 2019 01:04:39 +0100

=== debian/control ===
Source: horizon
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 gettext,
 python3-babel,
 python3-cinderclient (>= 1:5.0.0),
 python3-coverage <!nocheck>,
 python3-debtcollector,
 python3-django (>= 2:2.2),
 python3-django-compressor,
 python3-django-debreach,
 python3-django-pyscss,
 python3-enmerkar,
 python3-futurist,
 python3-glanceclient,
 python3-hacking <!nocheck>,
 python3-iso8601 <!nocheck>,
 python3-keystoneauth1,
 python3-keystoneclient (>= 1:3.22.0),
 python3-memcache,
 python3-netaddr <!nocheck>,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-pep8 <!nocheck>,
 python3-pymongo <!nocheck>,
 python3-pyscss (>= 1.3.7),
 python3-pytest,
 python3-pytest-django,
 python3-pytest-xdist,
 python3-redis,
 python3-requests,
 python3-selenium <!nocheck>,
 python3-semantic-version,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools <!nocheck>,
 python3-tz <!nocheck>,
 python3-xstatic,
 python3-xstatic-angular,
 python3-xstatic-angular-bootstrap,
 python3-xstatic-angular-fileupload,
 python3-xstatic-angular-gettext,
 python3-xstatic-angular-lrdragndrop,
 python3-xstatic-angular-schema-form,
 python3-xstatic-angular-ui-router,
 python3-xstatic-bootstrap-datepicker,
 python3-xstatic-bootstrap-scss,
 python3-xstatic-bootswatch,
 python3-xstatic-d3,
 python3-xstatic-font-awesome,
 python3-xstatic-hogan,
 python3-xstatic-jasmine,
 python3-xstatic-jquery (>= 1.12.4.1),
 python3-xstatic-jquery-migrate,
 python3-xstatic-jquery-ui,
 python3-xstatic-jquery.quicksearch,
 python3-xstatic-jquery.tablesorter,
 python3-xstatic-jsencrypt,
 python3-xstatic-magic-search,
 python3-xstatic-mdi,
 python3-xstatic-objectpath,
 python3-xstatic-rickshaw,
 python3-xstatic-roboto-fontface,
 python3-xstatic-smart-table,
 python3-xstatic-spin,
 python3-xstatic-term.js,
 python3-xstatic-tv4,
 python3-xvfbwrapper,
 python3-yaml <!nocheck>,
Build-Conflicts:
 python3-django-openstack-auth,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/horizon
Vcs-Git: https://salsa.debian.org/openstack-team/services/horizon.git
Homepage: https://horizon.openstack.org

Package: horizon-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: web application to control an OpenStack cloud - doc
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package contains the documentation.

Package: openstack-dashboard
Architecture: all
Depends:
 adduser,
 libjs-jquery,
 libjs-jquery-cookie,
 python3-django-horizon (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 memcached,
 openstack-dashboard-apache,
Breaks:
 python-app-catalog-ui,
 python-designate-dashboard,
 python-ironic-ui,
 python-murano-dashboard,
 python-zaqar-ui,
 python3-cloudkitty-dashboard (<< 8.0.0-3~),
 python3-designate-dashboard (<< 7.0.0-2~),
 python3-heat-dashboard (<< 1.4.0-2~),
 python3-ironic-ui (<< 3.3.0-4~),
 python3-magnum-ui (<< 5.0.1-2~),
 python3-manila-ui (<< 2.16.0-2~),
 python3-mistral-dashboard (<< 7.0.1-2~),
 python3-murano-dashboard (<< 1:6.0.0-2~),
 python3-neutron-fwaas-dashboard (<< 1.5.0-3~),
 python3-neutron-vpnaas-dashboard (<< 1.4.0-2~),
 python3-octavia-dashboard (<< 2.0.0-3~),
 python3-sahara-dashboard (<< 9.0.1-1~),
 python3-senlin-dashboard (<< 0.9.0-3~),
 python3-trove-dashboard (<< 11.0.0-2~),
 python3-zaqar-ui (<< 5.0.0-2~),
Description: web application to control an OpenStack cloud
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Depends:
 apache2 (>= 2.4),
 debconf,
 libapache2-mod-wsgi-py3,
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
Description: web application to control an OpenStack cloud - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.

Package: python3-django-horizon
Section: python
Architecture: all
Depends:
 python3-babel,
 python3-cinderclient (>= 1:5.0.0),
 python3-debtcollector,
 python3-django (>= 2:2.2),
 python3-django-compressor,
 python3-django-debreach,
 python3-django-pyscss,
 python3-enmerkar,
 python3-futurist,
 python3-glanceclient,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystoneclient (>= 1:3.22.0),
 python3-memcache,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-pbr,
 python3-pymongo,
 python3-pyscss (>= 1.3.6),
 python3-redis,
 python3-requests,
 python3-semantic-version,
 python3-swiftclient,
 python3-tz,
 python3-xstatic,
 python3-xstatic-angular,
 python3-xstatic-angular-bootstrap,
 python3-xstatic-angular-fileupload,
 python3-xstatic-angular-gettext,
 python3-xstatic-angular-lrdragndrop,
 python3-xstatic-angular-schema-form,
 python3-xstatic-angular-ui-router,
 python3-xstatic-bootstrap-datepicker,
 python3-xstatic-bootstrap-scss,
 python3-xstatic-bootswatch,
 python3-xstatic-d3,
 python3-xstatic-font-awesome,
 python3-xstatic-hogan,
 python3-xstatic-jasmine,
 python3-xstatic-jquery (>= 1.12.4.1),
 python3-xstatic-jquery-migrate,
 python3-xstatic-jquery-ui,
 python3-xstatic-jquery.quicksearch,
 python3-xstatic-jquery.tablesorter,
 python3-xstatic-jsencrypt,
 python3-xstatic-magic-search,
 python3-xstatic-mdi,
 python3-xstatic-objectpath,
 python3-xstatic-rickshaw,
 python3-xstatic-roboto-fontface,
 python3-xstatic-smart-table,
 python3-xstatic-spin,
 python3-xstatic-term.js,
 python3-xstatic-tv4,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-django-horizon,
 python-django-openstack-auth,
 python-ironic-ui (<< 3.3.0),
 python3-django-openstack-auth,
 python3-ironic-ui (<< 3.3.0),
Provides:
 python-django-horizon,
 python-django-openstack-auth,
 python3-django-openstack-auth,
Suggests:
 memcached,
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

## horizon 18.6.2

=== doc/requirements.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 # changes how packages are installed.  New dependencies should be
 # added in alphabetical order, however, some dependencies may need to
 # be installed in a specific order.
-openstackdocstheme>=1.20.0 # Apache-2.0
-reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD
+openstackdocstheme>=2.2.0 # Apache-2.0
+reno>=3.1.0 # Apache-2.0
+sphinx>=2.0.0,!=2.1.0 # BSD
 doc8>=0.6.0 # Apache-2.0
 
 # The below is rewquired to build testing module reference

=== debian/changelog ===
horizon (3:18.6.2-5) unstable; urgency=medium

  * Add patches:
    - Dont_load_user_role_assignment_or_groups_tabs_for_non-admins.patch
    - do-not-create-volume-by-default-when-launching-instance.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Jul 2021 11:19:22 +0200

horizon (3:18.6.2-4) unstable; urgency=medium

  * Do not use an enable folder in /etc, as this marks all files from plugins
    as CONFFILE, meaning they aren't removed when plugins are removed, which
    makes Horizon crash (Closes: #987904):
    - In python3-django-horizon.preinst, transform the symlink
      /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled into a
      folder.
    - Remove the symlink creation from the openstack-dashboard.postinst.
    - Remove the symlink in prerm if it exists.
    - Add versioned Breaks: on all the Horizon plugins, as they now must push
      the files into that folder instead of /etc.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Jun 2021 14:53:41 +0200

horizon (3:18.6.2-3) unstable; urgency=medium

  * Revert previous fix, which is in fact a problem in the fonts-font-awesome
    package and should be handled there: see bug #986220. (Closes: #983853).

 -- Thomas Goirand <zigo@debian.org>  Sun, 04 Apr 2021 14:13:10 +0200

horizon (3:18.6.2-2) unstable; urgency=medium

  * Fix upgrade from Buster to Bullseye by manually copying the font-awesome
    scss files in Horizon static folder (Closes: #983853).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Mar 2021 10:30:59 +0100

horizon (3:18.6.2-1) unstable; urgency=medium

  * New upstream point release fixing important bugs in create/update_port.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Feb 2021 21:23:50 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_install:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf build .coverage
	rm -rf $(CURDIR)/static
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info
	rm -rf doc/source/sourcecode
	rm -rf $(CURDIR)/doc/build
	rm -f horizon/openstack_dashboard/test/.secret_key_store
	find $(CURDIR)/openstack_dashboard -iname '*.pyc' -delete
	rm -rf .eggs
	rm -f AUTHORS
	rm -f ChangeLog
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:

	# Compile language files
#	chmod +x debian/compile-messages
#	$(CURDIR)/debian/compile-messages

	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install \
			--install-layout=deb \
			--root $(CURDIR)/debian/tmp \
			--no-compile -O0; \
	done

	# Prepare openstack-dashboard folder and copy manage.py
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	cp $(CURDIR)/manage.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Move themes folder to standard location
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/themes \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Create /etc/openstack-dashboard/ and move policy files into
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/conf \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Move conf to standard location
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/
	rm -f $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/__init__.py
	rm -f $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/*.example

	# Move wsgi file to standard location
	mv $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/wsgi.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Move local_settings.d to /etc and modify local_settings.py
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/
	rm -f $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/*.example

	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples/local_settings.py

	# Secret key has to be replaced here
	sed -i -e 's/os.path.join(LOCAL_PATH,/os.path.join("\/","var","lib","openstack-dashboard","secret-key",/' $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples/local_settings.py

	# Set debug to false in local.settings.d not working as expected
	# So, it needs to be replaced to false directly in local_settings.py
	sed -i -e 's/DEBUG = True/DEBUG = False/g' $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples/local_settings.py

	# Move osprofiler conf files to be enabled to standard location
	# and remove /usr/lib/python3/dist-packages/openstack_dashboard/contrib/developer/enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/contrib/developer/enabled/_[0-9]*.py \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/contrib/developer/enabled

	# Remove secret_key_store as we will use it in /var/lib/
	rm -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/.secret_key_store

	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;

	## Delete not needed files
	rm -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/_build*.lock

	dh_install
	dh_missing --fail-missing
	find $(CURDIR)/debian -iname .eslintrc -delete

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/horizon-doc/usr/share/doc/horizon-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# We should add --compilemessages when the .mo are removed.
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		http_proxy=127.0.0.1:9 https_proxy=127.0.0.9:9 \
		HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest horizon/test/ -n $$(nproc --all) -v --ds=horizon.test.settings -m "not selenium and not integration" ; \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest openstack_dashboard -v --ds=openstack_dashboard.test.settings -m "not selenium and not integration" ; \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest openstack_auth/tests -n $$(nproc --all) -v --ds=openstack_auth.tests.settings -m "not selenium and not integration" ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif
